
// Prototypes.
void Sfx_SoundInit(void);
void Sfx_SoundOn(void);
void Sfx_SoundOff(void);
void Sfx_LoadWavFiles(void);
void Sfx_FreeWavFiles(void);
void Sfx_PlaySfx(u32 nSfxNo, u32 nSfxPrio);


// Enums.
enum
{
	e_Sfx_PillBonus,
	e_Sfx_PillMalus,
	e_Sfx_Shot,
	e_Sfx_DoorThrough,
	e_Sfx_MenuClic,
	e_Sfx_BrickBounce,
	e_Sfx_BallBounce,
	e_Sfx_Explosion1,
	e_Sfx_Explosion2,
	e_Sfx_BrickDissolve,
	e_Sfx_ExtraLife,
	e_Sfx_BatPing,
	e_Sfx_BatMagnet,

	e_Sfx_LAST
};


enum
{
	e_SfxPrio_0 = 0,
	e_SfxPrio_10 = 10,
	e_SfxPrio_20 = 20,
	e_SfxPrio_30 = 30,
	e_SfxPrio_40 = 40,
	e_SfxPrio_Max = 254,
};
